"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageServiceErrorHandler = void 0;
const TypeScriptErrorHandler_cjs_1 = require("./TypeScriptErrorHandler.cjs");
/**
 * Provides the functionality to handle errors for a language service.
 */
class LanguageServiceErrorHandler extends TypeScriptErrorHandler_cjs_1.TypeScriptErrorHandler {
    /**
     * Reports the specified {@linkcode diagnostic}.
     *
     * @param location
     * The location of the specified {@linkcode node}.
     *
     * @param item
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     *
     * @param diagnostic
     * The diagnostic to report.
     *
     * @param error
     * The original error.
     */
    ReportDiagnostic(location, item, context, diagnostic, error) {
        var _a;
        (_a = context.diagnostics) !== null && _a !== void 0 ? _a : (context.diagnostics = []);
        context.diagnostics.push(diagnostic);
    }
}
exports.LanguageServiceErrorHandler = LanguageServiceErrorHandler;
//# sourceMappingURL=LanguageServiceErrorHandler.cjs.map