"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSJestErrorHandler = void 0;
const TypeScriptErrorHandler_cjs_1 = require("./TypeScriptErrorHandler.cjs");
/**
 * Provides the functionality to handle errors using `ts-jest` components.
 */
class TSJestErrorHandler extends TypeScriptErrorHandler_cjs_1.TypeScriptErrorHandler {
    /**
     * Initializes a new instance of the {@linkcode TSJestErrorHandler} class.
     *
     * @param features
     * A component for interacting with `ts-jest`.
     */
    constructor(features) {
        super(features);
    }
    /**
     * @inheritdoc
     *
     * @param location
     * The location of the specified {@linkcode node}.
     *
     * @param item
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     *
     * @param diagnostic
     * The diagnostic to report.
     *
     * @param error
     * The original error.
     */
    ReportDiagnostic(location, item, context, diagnostic, error) {
        var _a;
        this.Features.Compiler.configSet.raiseDiagnostics([diagnostic], (_a = diagnostic.file) === null || _a === void 0 ? void 0 : _a.fileName);
    }
}
exports.TSJestErrorHandler = TSJestErrorHandler;
//# sourceMappingURL=TSJestErrorHandler.cjs.map