"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSPatchErrorHandler = void 0;
const TypeScriptErrorHandler_cjs_1 = require("./TypeScriptErrorHandler.cjs");
/**
 * Provides the functionality to handle errors using `ts-patch` components.
 */
class TSPatchErrorHandler extends TypeScriptErrorHandler_cjs_1.TypeScriptErrorHandler {
    /**
     * Initializes a new instance of the {@linkcode TSPatchErrorHandler} class.
     *
     * @param features
     * A set of features for interacting with `ts-patch`.
     */
    constructor(features) {
        super(features);
    }
    /**
     * @inheritdoc
     *
     * @param location
     * The location of the specified {@linkcode node}.
     *
     * @param item
     * The node related to the error.
     *
     * @param context
     * The context of the operation.
     *
     * @param diagnostic
     * The diagnostic to report.
     *
     * @param error
     * The original error.
     */
    ReportDiagnostic(location, item, context, diagnostic, error) {
        this.Features.Extras.addDiagnostic(diagnostic);
    }
}
exports.TSPatchErrorHandler = TSPatchErrorHandler;
//# sourceMappingURL=TSPatchErrorHandler.cjs.map