"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LanguageServiceFeatures = void 0;
const LanguageServiceErrorHandler_cjs_1 = require("../Diagnostics/LanguageServiceErrorHandler.cjs");
const TypeScriptFeatures_cjs_1 = require("../Transformation/TypeScriptFeatures.cjs");
/**
 * Provides features for language service validators.
 */
class LanguageServiceFeatures extends TypeScriptFeatures_cjs_1.TypeScriptFeatures {
    /**
     * Initializes a new instance of the {@linkcode LanguageServiceFeatures} class.
     *
     * @param tsLibrary
     * The TypeScript library.
     */
    constructor(tsLibrary) {
        super({ tsLibrary });
    }
    /**
     * @inheritdoc
     *
     * @returns
     * The newly created error handler.
     */
    InitializeErrorHandler() {
        return new LanguageServiceErrorHandler_cjs_1.LanguageServiceErrorHandler(this);
    }
}
exports.LanguageServiceFeatures = LanguageServiceFeatures;
//# sourceMappingURL=LanguageServiceFeatures.cjs.map