import { IErrorHandler } from "@typescript-nameof/common";
import ts, { Node } from "typescript";
import { ITypeScriptContext } from "../Transformation/ITypeScriptContext.cjs";
import { TypeScriptFeatures } from "../Transformation/TypeScriptFeatures.cjs";
/**
 * Provides features for language service validators.
 */
export declare class LanguageServiceFeatures extends TypeScriptFeatures {
    /**
     * Initializes a new instance of the {@linkcode LanguageServiceFeatures} class.
     *
     * @param tsLibrary
     * The TypeScript library.
     */
    constructor(tsLibrary: typeof ts);
    /**
     * @inheritdoc
     *
     * @returns
     * The newly created error handler.
     */
    protected InitializeErrorHandler(): IErrorHandler<Node, ITypeScriptContext>;
}
