import { IErrorHandler } from "@typescript-nameof/common";
import type { TsCompilerInstance } from "ts-jest/dist/types";
import type ts = require("typescript");
import { IPluginConfig } from "./IPluginConfig.cjs";
import { ITypeScriptContext } from "./ITypeScriptContext.cjs";
import { TypeScriptFeatures } from "./TypeScriptFeatures.cjs";
/**
 * Provides features for `ts-jest` transformations.
 */
export declare class TSJestFeatures extends TypeScriptFeatures {
    /**
     * The compiler of the plugin.
     */
    private compiler;
    /**
     * Initializes a new instance of the {@linkcode TSJestFeatures} class.
     *
     * @param compiler
     * The compiler of the plugin.
     *
     * @param config
     * The configuration of the plugin.
     *
     * @param errorHandler
     * A component for reporting errors.
     */
    constructor(compiler: TsCompilerInstance, config?: IPluginConfig, errorHandler?: IErrorHandler<ts.Node, ITypeScriptContext>);
    /**
     * @inheritdoc
     */
    get TypeScriptFallback(): typeof ts;
    /**
     * Gets the compiler of the plugin.
     */
    get Compiler(): TsCompilerInstance;
    /**
     * @inheritdoc
     *
     * @returns
     * The newly created error handler
     */
    protected InitializeErrorHandler(): IErrorHandler<ts.Node, ITypeScriptContext>;
}
