"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSJestTransformer = void 0;
const TSJestFeatures_cjs_1 = require("./TSJestFeatures.cjs");
const TypeScriptTransformerBase_cjs_1 = require("./TypeScriptTransformerBase.cjs");
/**
 * Provides the functionality to transform `nameof` in `ts-jest` nodes.
 */
class TSJestTransformer extends TypeScriptTransformerBase_cjs_1.TypeScriptTransformerBase {
    /**
     * Initializes a new instance of the {@linkcode TSJestTransformer} class.
     *
     * @param compiler
     * The compiler of the plugin.
     *
     * @param config
     * The configuration of the plugin.
     *
     * @param errorHandler
     * A component for reporting errors.
     */
    constructor(compiler, config, errorHandler) {
        super(new TSJestFeatures_cjs_1.TSJestFeatures(compiler, config, errorHandler));
    }
}
exports.TSJestTransformer = TSJestTransformer;
//# sourceMappingURL=TSJestTransformer.cjs.map