"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.replaceInFiles = void 0;
const fs_extra_1 = require("fs-extra");
const replaceInText_cjs_1 = require("./replaceInText.cjs");
/**
 * Transforms the files with the specified {@link fileNames `fileNames`}.
 *
 * @param fileNames
 * The names of the files to transform.
 */
function replaceInFiles(fileNames) {
    return __awaiter(this, void 0, void 0, function* () {
        const { globby } = yield import("globby");
        yield Promise.all((yield globby(fileNames)).map((fileName) => {
            return (() => __awaiter(this, void 0, void 0, function* () {
                var _a;
                let text = yield (0, fs_extra_1.readFile)(fileName, { encoding: "utf-8" });
                let result = (0, replaceInText_cjs_1.replaceInText)(fileName, text);
                if (result.replaced) {
                    yield (0, fs_extra_1.writeFile)(fileName, (_a = result.fileText) !== null && _a !== void 0 ? _a : "");
                }
            }))();
        }));
    });
}
exports.replaceInFiles = replaceInFiles;
//# sourceMappingURL=replaceInFiles.cjs.map